Sazabi
APIWebhooks

Rotate a webhook signing secret

Rotate and return the signing secret once

POST https://api.sazabi.com/v1/webhooks/{webhookId}/rotate-secret

POST
/webhooks/{webhookId}/rotate-secret

Path Parameters

webhookId*string

Webhook endpoint to rotate.

Formatuuid

Response Body

application/json

curl -X POST "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-secret"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "url": "http://example.com",  "status": "active",  "authHeaderName": "string",  "signingSecretRotatedAt": "2019-08-24T14:15:22Z",  "consecutiveFailures": 0,  "disabledAt": "2019-08-24T14:15:22Z",  "disabledReason": "string",  "createdAt": "2019-08-24T14:15:22Z",  "signingSecret": "string"}